diff --git a/web/pgadmin/browser/register_browser_preferences.py b/web/pgadmin/browser/register_browser_preferences.py
index c2c16ad8..50d18c77 100644
--- a/web/pgadmin/browser/register_browser_preferences.py
+++ b/web/pgadmin/browser/register_browser_preferences.py
@@ -505,30 +505,39 @@ def register_browser_preferences(self):
             ' revert back to the default title with placeholders.'
         )
     )
-    if config.ENABLE_PSQL:
-        self.open_in_new_tab = self.preference.register(
-            'tab_settings', 'new_browser_tab_open',
-            gettext("Open in new browser tab"), 'select2', None,
-            category_label=PREF_LABEL_OPTIONS,
-            options=[{'label': gettext('Query Tool'), 'value': 'qt'},
-                     {'label': gettext('Debugger'), 'value': 'debugger'},
-                     {'label': gettext('Schema Diff'), 'value': 'schema_diff'},
-                     {'label': gettext('ERD Tool'), 'value': 'erd_tool'},
-                     {'label': gettext('PSQL Tool'), 'value': 'psql_tool'}],
-            help_str=gettext(
-                'Select Query Tool, Debugger, Schema Diff, ERD Tool '
-                'or PSQL Tool from the drop-down to set '
-                'open in new browser tab for that particular module.'
-            ),
-            select2={
-                'multiple': True, 'allowClear': False,
-                'tags': True, 'first_empty': False,
-                'selectOnClose': False, 'emptyOptions': True,
-                'tokenSeparators': [','],
-                'placeholder': gettext('Select open new tab...')
-            }
-        )
 
+    ope_new_tab_options = [
+        {'label': gettext('Query Tool'), 'value': 'qt'},
+        {'label': gettext('Debugger'), 'value': 'debugger'},
+        {'label': gettext('Schema Diff'), 'value': 'schema_diff'},
+        {'label': gettext('ERD Tool'), 'value': 'erd_tool'}]
+
+    # Allow psq tool to open in new browser tab if ENABLE_PSQL is set to True
+    if config.ENABLE_PSQL:
+        ope_new_tab_options.append(
+            {'label': gettext('PSQL Tool'), 'value': 'psql_tool'})
+
+    self.open_in_new_tab = self.preference.register(
+        'tab_settings', 'new_browser_tab_open',
+        gettext("Open in new browser tab"), 'select2', None,
+        category_label=PREF_LABEL_OPTIONS,
+        options=ope_new_tab_options,
+        help_str=gettext(
+            'Select Query Tool, Debugger, Schema Diff, ERD Tool '
+            'or PSQL Tool from the drop-down to set '
+            'open in new browser tab for that particular module.'
+        ),
+        select2={
+            'multiple': True, 'allowClear': False,
+            'tags': True, 'first_empty': False,
+            'selectOnClose': False, 'emptyOptions': True,
+            'tokenSeparators': [','],
+            'placeholder': gettext('Select open new tab...')
+        }
+    )
+
+    # Set PSQL tool tab title if ENABLE_PSQL is set to True
+    if config.ENABLE_PSQL:
         self.psql_tab_title = self.preference.register(
             'tab_settings', 'psql_tab_title_placeholder',
             gettext("PSQL tool tab title"),
